Subject: bug#13017: closed (Re: bug#13017: 24.2.90; minibuf-eldef-setup-minibuffer should append minibuf-eldef-update-minibuffer to post-command-hook)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Apr 2014 21:26:06 +0000

Your bug report

#13017: 24.2.90; minibuf-eldef-setup-minibuffer should append minibuf-eldef-update-minibuffer to post-command-hook

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13017: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13017
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13017: 24.2.90; minibuf-eldef-setup-minibuffer should append minibuf-eldef-update-minibuffer to post-command-hook
From: Christopher Schmidt <[email-masked]>
To: [email-masked]
Date: Wed, 16 Apr 2014 13:03:49 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: notabug

Lars Ingebrigtsen <[email-masked]> writes:
> Christopher, do you have an example that demonstrates why this is
> needed?

IIRC, I played around with another prompt-simplifying form in
post-command-hook.  I do not have the source code any more.

It is easy to come up with an artificial sample which demonstrates this
issue.  Yet, even if minibuf-eldef-update-minibuffer is appended to
post-command-hook, does this change actually improve the situation?  I
do not think so.  It is not hard to come up with another sample which
requires the initial behaviour.

This issue is probably not a bug and does not matter to me any more.
Closing...

Subject: 24.2.90; minibuf-eldef-setup-minibuffer should append minibuf-eldef-update-minibuffer to post-command-hook
From: Christopher Schmidt <[email-masked]>
To: [email-masked]
Date: Wed, 28 Nov 2012 00:10:54 +0000 (GMT)
List-Id: <debbugs-submit.debbugs.gnu.org>

In minibuf-eldef-setup-minibuffer there is this form

    (add-hook 'post-command-hook #'minibuf-eldef-update-minibuffer nil t)

I think this is not correct.  The APPEND parameter of add-hook should be
t so all changes made to the minibuffer content by previous functions in
post-command-hook are taken into account by
minibuf-eldef-update-minibuffer.

Here is a patch for the trunk.
=== modified file 'lisp/ChangeLog'
--- lisp/ChangeLog	2012-11-27 16:40:04 +0000
+++ lisp/ChangeLog	2012-11-28 00:07:24 +0000
@@ -1,3 +1,8 @@
+2012-11-28  Christopher Schmidt  <[email-masked]>
+
+	* minibuf-eldef.el (minibuf-eldef-setup-minibuffer): Append
+	minibuf-eldef-update-minibuffer to post-command-hook.  (Bug#)
+
 2012-11-27  Glenn Morris  <[email-masked]>
 
 	* emacs-lisp/derived.el (derived-mode-make-docstring):

=== modified file 'lisp/minibuf-eldef.el'
--- lisp/minibuf-eldef.el	2012-11-07 20:43:38 +0000
+++ lisp/minibuf-eldef.el	2012-11-28 00:05:45 +0000
@@ -140,7 +140,7 @@
 	    (minibuffer-contents-no-properties))
       (setq minibuf-eldef-initial-buffer-length (point-max))
       (add-to-list 'minibuf-eldef-frobbed-minibufs (current-buffer))
-      (add-hook 'post-command-hook #'minibuf-eldef-update-minibuffer nil t))))
+      (add-hook 'post-command-hook #'minibuf-eldef-update-minibuffer t t))))
 
 ;; post-command-hook to swap prompts when necessary
 (defun minibuf-eldef-update-minibuffer ()

        Christopher